Skip to navigation

Get supported languages for envelope recipients

View as Markdown

Retrieves a list of supported languages that you can set for an individual recipient when creating an envelope, as well as their simple type enumeration values. These are the languages that you can set for the standard email format and signing view for each recipient.

For example, in the recipient’s email notification, this setting affects elements such as the standard introductory text describing the request to sign. It also determines the language used for buttons and tabs in both the email notification and the signing experience.

Note: Setting a language for a recipient affects only the DocuSign standard text. Any custom text that you enter for the emailBody and emailSubject of the notification is not translated, and appears exactly as you enter it.

For more information, see Set Recipient Language and Specify Custom Email Messages.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

Response

Successful response.
languageslist of objectsOptional

A list of languages that you can use for a recipient’s language setting. These are the languages that you can set for the standard email format and signing view for each recipient.

For example, in the recipient’s email notification, this setting affects elements such as the standard introductory text describing the request to sign. It also determines the language used for buttons and tabs in both the email notification and the signing experience.

Note: Setting a language for a recipient affects only the Docusign standard text. Any custom text that you enter for the emailBody and emailSubject of the notification is not translated, and appears exactly as you enter it.

Example:

{
    "languages": [
        {
            "name": "Arabic (ar)",
            "value": "ar"
        },
        {
            "name": "Bulgarian (bg)",
            "value": "bg"
        },
        .
        .
        .
}

Errors

400
Bad Request Error